
TYPO3.Flow - Task # 33268

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: Configuration
Created: 2012-01-17 Assigned To: Karsten Dambekalns
Updated: 2012-03-07 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Document new YAML behaviour for Upgrade to 1.1
Description

The YAML parser changed its behaviour in some intricate ways. One of it is the (now correct) processing of escape sequences within
double quoted strings (http://yaml.org/spec/1.2/spec.html#id2787109).

Unfortunately some FLOW3 users could have used the double quote syntax to express object names or pointcut expressions (e.g. in a
Policy file) where the escape sequence could produce an unwanted result and AOP or security fails silently.

resources:
  methods:
    Foo_Bar: "method(MyPackage\Domain\Model\Poo->test()" 

The class would not match MyPackage\Domain\Model\Poo but rather MyPackage\Domain\Model?oo. To use double quoted strings
the \ character would need to be escaped with another backslash.

We should document the new behaviour and discourage usage of double quotes in YAML files as a CGL. Additionaly we could think
about a migration script for configuration files.

Associated revisions
Revision 6d97b48b - 2012-01-31 17:58 - Karsten Dambekalns

[TASK] Document YAML syntax changes for upgrade

Change-Id: Ib8084b9ab3548ba15d0b4bd124c3264ed5e92870
Resolves: #33268
Releases: 1.1

History
#1 - 2012-01-17 16:49 - Bastian Waidelich

Christopher Hlubek wrote:

The class would not match MyPackage\Domain\Model\Poo [...]

IMO the users shouldn't deal with poo models in the first place. SCNR ;)
#2 - 2012-01-31 17:38 - Karsten Dambekalns

Bastian Waidelich wrote:

Christopher Hlubek wrote:

The class would not match MyPackage\Domain\Model\Poo [...]

IMO the users shouldn't deal with poo models in the first place. SCNR ;)

Parents do have to deal with that. Not only with poo models, to be precise. SCNR. ;)

#3 - 2012-01-31 17:39 - Karsten Dambekalns
- Category set to Configuration
- Status changed from New to Accepted
- Target version set to 1.1

#4 - 2012-01-31 17:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8781

#5 - 2012-03-07 16:33 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
